Page MenuHomePhabricator

Flow opt in process takes long enough to process for the user to actually notice
Closed, ResolvedPublic

Description

The process of opting in to Flow takes a few seconds, and while it's running, the talk page may display errors or load incorrectly. This is a problem because it is probably common to have a user opt in to activate Flow and then immediately click on their talk page link to see their new feature -- but if done too quickly, the page will display errors that may make it sound like the entire system is broken.

We should come up with either a way to alert the user that things are still in process, or to set the expectations to the fact that things will take a few moments.

Event Timeline

Mooeypoo created this task.Sep 2 2015, 5:25 PM
Mooeypoo updated the task description. (Show Details)
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 2 2015, 5:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyH triaged this task as High priority.Sep 2 2015, 5:44 PM
DannyH added a subscriber: DannyH.

What are the errors being displayed?

I tried on MediaWiki-Vagrant.
It was noticably slower than I've seen on my machine so far: I saw nothing (the old page was already moved but the new page was not yet created)
I didn't see any errors however.

The only one I could think of would be between having created the page (referencing the workflow) and storing the Flow data. They can't be 1 transaction.
However, a recent patch made it so that case fails silently: when attempting to render a page where the workflow can't be found, it'll just render nothing.

I'm stumped :) Can you check if this still happens and add some screenshots/stack traces/anything? :)

It's still happening for me. Here are the steps + screenshots:

  1. Create a new user.
  2. Edit the user talk page to have something in it (in wikitext)
  3. Go to "Beta" and enable Flow on your user page
  4. Immediately after the page reappears, click the username (in the personal tools) and then immediately "Discussion" for your talk page
  5. Observe this:

  1. Refresh, and observe this:

I use Vagrant on Ubuntu 14.04LTS, so I am not sure if that's related.
There are no console errors, and the php logs aren't very helpful either (no php errors or exceptions).

Can you tell me what to look for or which logs will help?

The discussed solution is to "Add text to move log item during opt-in process to explain better"

Change 240734 had a related patch set uploaded (by Matthias Mullie):
Add reasons when moving pages during optin process

https://gerrit.wikimedia.org/r/240734

matthiasmullie added a comment.EditedSep 24 2015, 4:11 PM

Patch is up. I'm bad with copy, so feel free to improve these move reasons:

  • Move wikitext page to make room for a discussion board.
  • Move discussion board page to make room for a wikitext page.
  • Restore archived wikitext page.
  • Restore archived discussion board.

Change 240734 merged by jenkins-bot:
Add reasons when moving pages during optin process

https://gerrit.wikimedia.org/r/240734

Checked in betalabs( including the case when Beta 'Flow on user talk' is enabled from a different browser tab).

DannyH closed this task as Resolved.Sep 25 2015, 8:43 PM

Awesome, well done